Old Travian

    • Old Travian

      I'm sure this must be a common recurrence, but I can't find anything recent on the forums. I think I know the answer to my question already, but someone might have a heard a whisper that I haven't. Is there any chance of an old travian server coming back? Like 3.6 or earlier? I've tried numerous times to play the newer servers and I just can't get along with it. I'm sure there would be a huge base of people who would play it again.
    • Tombo457 wrote:

      On the Travian Youtube channel this question was discussed, and apparently it would be impossible for a 3.6 server to come back, due to problems with the old code that 3.6 runs on.
      Yes I saw this, but I just don't get it. How can it be impossible? I mean, there was loads of them running at the same time during its prime, so how comes it's changed
    • eelsupinsideya_UK wrote:

      Tombo457 wrote:

      On the Travian Youtube channel this question was discussed, and apparently it would be impossible for a 3.6 server to come back, due to problems with the old code that 3.6 runs on.
      Yes I saw this, but I just don't get it. How can it be impossible? I mean, there was loads of them running at the same time during its prime, so how comes it's changed
      The point is, the code etc. is from 2007 or so, and (presumably) the cost to recode would outway the amount of players that would actually play the servers. Let alone the fact it would move active players from T4.4 back to T3.6, which probably isn't hugely sustainable.
      Pablo Escobar COMx - WWK

      DKx Comeback Round - Brian Fantana

      PublicEnemy UKx9 - i.imgur.com/l23a9.png
    • eelsupinsideya_UK wrote:

      Tombo457 wrote:

      On the Travian Youtube channel this question was discussed, and apparently it would be impossible for a 3.6 server to come back, due to problems with the old code that 3.6 runs on.
      Yes I saw this, but I just don't get it. How can it be impossible? I mean, there was loads of them running at the same time during its prime, so how comes it's changed
      Apparently, it is not safe anymore. It has become easy to steal passwords and to cheat which is why they cannot move forward with a 3.6 server.
    • T3.6 was written for an old PHP version and after the release of T4, T3.6's code wasn't maintained anymore. As years and PHP versions have gone by, some of the code simply no longer works and it is not secure to use older PHP versions.

      As such, there are two factors that together make it not economical to provide T3.6. It is expensive and time-taking to make the code work again and ultimately, the player numbers in latest T3.6 servers were no better, if not lower, than what T4 servers had. It could only work if the server received a very high playercount but the financial risk is too great, the amount of players asking for T3.6 servers has been a vocal minority for years.
      This is a private account and messages posted from this account are of my own personal stance and do not represent Traviangames in any way. / Tämä on yksityistili ja edustaa vain omaa kantaani, viestit tältä tililtä eivät edusta Traviangamesin kantaa millään tavalla.
    • The above are all correct. Changes to PHP and HTML standards mean that the old T3.6 coding will not safely run on modern browsers.

      The cost of re-writing the code prevents it ever happening.
      CM mhudson
      Community Manager
      Travian: Legends US/UK

      128-10-93-85-10-128-98-112-6-6-25-126-39-1-68-78